Subscribe

VSC Permissions Error

Hi

When trying to install VAAI Tools on a host i am shown an error

VSC Permissions Error

Unable to apply the NFS Plugin for VMware VAAI

You do not have sufficient permission to perform this action on; the root object

Contact your administrator to add the following missing privileges

Deploy VAAI for NFS Plugin

My user has full Administrator privileges on vCenter extended to all child objects.

Re: VSC Permissions Error

I'm getting the same error, but when trying to scan/modify/update storage systems in VSC 5.0 from the web client.

How did you fix it?

-Ed

Re: VSC Permissions Error

Hi, I have the same issue and have spent 2 days trying to get it to work, what did you do to finally fix it?

Re: VSC Permissions Error

If you are using ESXi 5.x do not use NFS-VAAI 1.0-21.  Use the ESXi 6.0 NFS-VAAI 1.1.0 version.  Despite the website DL page stating you must have ESXi 6.0 and vCenter 6.0 try the IMT it will show that ESXi 5.5U2 is valid.  I was then able to install the NFS-VAAI through VSC to the ESXi hosts.